<html>
<head>
<title>OGRE: Ogre::LogManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1LogManager.html">LogManager</a></div>
<h1>Ogre::LogManager Class Reference</h1><!-- doxytag: class="Ogre::LogManager" --><!-- doxytag: inherits="Ogre::Singleton" -->The log manager handles the creation and retrieval of logs for the application.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreLogManager_8h-source.html">OgreLogManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::LogManager:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1LogManager-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">OGRE_AUTO_MUTEX&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#51428feae11310e268c885bf3c0bf331">LogManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#887b11fa93f8aa25b912c226dd70943f">~LogManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#85722e2aa03ca2cd18baa6e52f4a7631">createLog</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, bool defaultLog=false, bool debuggerOutput=true, bool suppressFileOutput=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a new log with the given name.  <a href="#85722e2aa03ca2cd18baa6e52f4a7631"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#2d93a13fad0c049ccc2b4d72f053e286">getLog</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a log managed by this class.  <a href="#2d93a13fad0c049ccc2b4d72f053e286"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#94e537bffee90afa9b96a15e10c3ea21">getDefaultLog</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a pointer to the default log.  <a href="#94e537bffee90afa9b96a15e10c3ea21"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#0ee43aed02b63b61e5f1face7c86b2ed">destroyLog</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Closes and removes a named log.  <a href="#0ee43aed02b63b61e5f1face7c86b2ed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#d8cf8e59a505cd064d64d2f6123322e4">destroyLog</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *log)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Closes and removes a log.  <a href="#d8cf8e59a505cd064d64d2f6123322e4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#a274af4b29e98ac5340a18ad1b695139">setDefaultLog</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *newLog)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the passed in log as the default log.  <a href="#a274af4b29e98ac5340a18ad1b695139"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#0c4faae4a0fbe6f8df7583cfa4c63b52">logMessage</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;message, <a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml=LML_NORMAL, bool maskDebug=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> a message to the default log.  <a href="#0c4faae4a0fbe6f8df7583cfa4c63b52"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#4be284d44cb3271413335d2e56fb49fb">logMessage</a> (<a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;message, bool maskDebug=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> a message to the default log (signature for backward compatibility).  <a href="#4be284d44cb3271413335d2e56fb49fb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#4b7b19b57b7f4fa7d20fad9e672eba3f">setLogDetail</a> (<a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a> ll)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the level of detail of the default log.  <a href="#4b7b19b57b7f4fa7d20fad9e672eba3f"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#1bd6bc0890fd3e1de7886433c40b5e87">getSingleton</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#1bd6bc0890fd3e1de7886433c40b5e87"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#26fc82537a3ea960342838f878ef0f1f">getSingletonPtr</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#26fc82537a3ea960342838f878ef0f1f"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Log.html">Log</a> *,<br>
 std::less&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#bc7f5655f97364456289540a2b364686">LogList</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1LogManager.html#bc7f5655f97364456289540a2b364686">LogList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#489779006a5b20d9b00270ebc2d76ba5">mLogs</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A list of all the logs the manager can access.  <a href="#489779006a5b20d9b00270ebc2d76ba5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogManager.html#590d285b99b40eab5296e59bca131e19">mDefaultLog</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The default log to which output is done.  <a href="#590d285b99b40eab5296e59bca131e19"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
The log manager handles the creation and retrieval of logs for the application. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class will create new log files and will retrieve instances of existing ones. Other classes wishing to log output can either create a fresh log or retrieve an existing one to output to. One log is the default log, and is the one written to when the logging methods of this class are called. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>By default, <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> will instantiate a <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a> (which becomes the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> instance) on construction, and will create a default log based on the <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> construction parameters. If you want more control, for example redirecting log output right from the start or suppressing debug output, you need to create a <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a> yourself before creating a <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> instance, then create a default log. <a class="el" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a> will detect that you've created one yourself and won't create one of its own, thus using all your logging preferences from the first instance. </dd></dl>

<p>Definition at line <a class="el" href="OgreLogManager_8h-source.html#l00059">59</a> of file <a class="el" href="OgreLogManager_8h-source.html">OgreLogManager.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="bc7f5655f97364456289540a2b364686"></a><!-- doxytag: member="Ogre::LogManager::LogList" ref="bc7f5655f97364456289540a2b364686" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Log.html">Log</a>*, std::less&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; &gt; <a class="el" href="classOgre_1_1LogManager.html#bc7f5655f97364456289540a2b364686">Ogre::LogManager::LogList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLogManager_8h-source.html#l00062">62</a> of file <a class="el" href="OgreLogManager_8h-source.html">OgreLogManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="51428feae11310e268c885bf3c0bf331"></a><!-- doxytag: member="Ogre::LogManager::LogManager" ref="51428feae11310e268c885bf3c0bf331" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OGRE_AUTO_MUTEX Ogre::LogManager::LogManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="887b11fa93f8aa25b912c226dd70943f"></a><!-- doxytag: member="Ogre::LogManager::~LogManager" ref="887b11fa93f8aa25b912c226dd70943f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::LogManager::~LogManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="85722e2aa03ca2cd18baa6e52f4a7631"></a><!-- doxytag: member="Ogre::LogManager::createLog" ref="85722e2aa03ca2cd18baa6e52f4a7631" args="(const String &amp;name, bool defaultLog=false, bool debuggerOutput=true, bool suppressFileOutput=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* Ogre::LogManager::createLog           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>defaultLog</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>debuggerOutput</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>suppressFileOutput</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a new log with the given name. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name to give the log e.g. 'Ogre.log' </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>defaultLog</em>&nbsp;</td><td>If true, this is the default log output will be sent to if the generic logging methods on this class are used. The first log created is always the default log unless this parameter is set. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>debuggerOutput</em>&nbsp;</td><td>If true, output to this log will also be routed to the debugger's output window. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>suppressFileOutput</em>&nbsp;</td><td>If true, this is a logical rather than a physical log and no file output will be written. If you do this you should register a <a class="el" href="classOgre_1_1LogListener.html" title="Pure Abstract class, derive this class and register to the Log to listen to log messages...">LogListener</a> so log output is not lost. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="2d93a13fad0c049ccc2b4d72f053e286"></a><!-- doxytag: member="Ogre::LogManager::getLog" ref="2d93a13fad0c049ccc2b4d72f053e286" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* Ogre::LogManager::getLog           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a log managed by this class. 
<p>

</div>
</div><p>
<a class="anchor" name="94e537bffee90afa9b96a15e10c3ea21"></a><!-- doxytag: member="Ogre::LogManager::getDefaultLog" ref="94e537bffee90afa9b96a15e10c3ea21" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* Ogre::LogManager::getDefaultLog           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a pointer to the default log. 
<p>

</div>
</div><p>
<a class="anchor" name="0ee43aed02b63b61e5f1face7c86b2ed"></a><!-- doxytag: member="Ogre::LogManager::destroyLog" ref="0ee43aed02b63b61e5f1face7c86b2ed" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::LogManager::destroyLog           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Closes and removes a named log. 
<p>

</div>
</div><p>
<a class="anchor" name="d8cf8e59a505cd064d64d2f6123322e4"></a><!-- doxytag: member="Ogre::LogManager::destroyLog" ref="d8cf8e59a505cd064d64d2f6123322e4" args="(Log *log)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::LogManager::destroyLog           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td>
          <td class="paramname"> <em>log</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Closes and removes a log. 
<p>

</div>
</div><p>
<a class="anchor" name="a274af4b29e98ac5340a18ad1b695139"></a><!-- doxytag: member="Ogre::LogManager::setDefaultLog" ref="a274af4b29e98ac5340a18ad1b695139" args="(Log *newLog)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* Ogre::LogManager::setDefaultLog           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&nbsp;</td>
          <td class="paramname"> <em>newLog</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the passed in log as the default log. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The previous default log. </dd></dl>

</div>
</div><p>
<a class="anchor" name="0c4faae4a0fbe6f8df7583cfa4c63b52"></a><!-- doxytag: member="Ogre::LogManager::logMessage" ref="0c4faae4a0fbe6f8df7583cfa4c63b52" args="(const String &amp;message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::LogManager::logMessage           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&nbsp;</td>
          <td class="paramname"> <em>lml</em> = <code>LML_NORMAL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>maskDebug</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> a message to the default log. 
<p>

</div>
</div><p>
<a class="anchor" name="4be284d44cb3271413335d2e56fb49fb"></a><!-- doxytag: member="Ogre::LogManager::logMessage" ref="4be284d44cb3271413335d2e56fb49fb" args="(LogMessageLevel lml, const String &amp;message, bool maskDebug=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::LogManager::logMessage           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&nbsp;</td>
          <td class="paramname"> <em>lml</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>maskDebug</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> a message to the default log (signature for backward compatibility). 
<p>

<p>Definition at line <a class="el" href="OgreLogManager_8h-source.html#l00120">120</a> of file <a class="el" href="OgreLogManager_8h-source.html">OgreLogManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b7b19b57b7f4fa7d20fad9e672eba3f"></a><!-- doxytag: member="Ogre::LogManager::setLogDetail" ref="4b7b19b57b7f4fa7d20fad9e672eba3f" args="(LoggingLevel ll)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::LogManager::setLogDetail           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a>&nbsp;</td>
          <td class="paramname"> <em>ll</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the level of detail of the default log. 
<p>

</div>
</div><p>
<a class="anchor" name="1bd6bc0890fd3e1de7886433c40b5e87"></a><!-- doxytag: member="Ogre::LogManager::getSingleton" ref="1bd6bc0890fd3e1de7886433c40b5e87" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a>&amp; Ogre::LogManager::getSingleton           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="26fc82537a3ea960342838f878ef0f1f"></a><!-- doxytag: member="Ogre::LogManager::getSingletonPtr" ref="26fc82537a3ea960342838f878ef0f1f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1LogManager.html">LogManager</a>* Ogre::LogManager::getSingletonPtr           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="489779006a5b20d9b00270ebc2d76ba5"></a><!-- doxytag: member="Ogre::LogManager::mLogs" ref="489779006a5b20d9b00270ebc2d76ba5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1LogManager.html#bc7f5655f97364456289540a2b364686">LogList</a> <a class="el" href="classOgre_1_1LogManager.html#489779006a5b20d9b00270ebc2d76ba5">Ogre::LogManager::mLogs</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
A list of all the logs the manager can access. 
<p>

<p>Definition at line <a class="el" href="OgreLogManager_8h-source.html#l00065">65</a> of file <a class="el" href="OgreLogManager_8h-source.html">OgreLogManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="590d285b99b40eab5296e59bca131e19"></a><!-- doxytag: member="Ogre::LogManager::mDefaultLog" ref="590d285b99b40eab5296e59bca131e19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html">Log</a>* <a class="el" href="classOgre_1_1LogManager.html#590d285b99b40eab5296e59bca131e19">Ogre::LogManager::mDefaultLog</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The default log to which output is done. 
<p>

<p>Definition at line <a class="el" href="OgreLogManager_8h-source.html#l00068">68</a> of file <a class="el" href="OgreLogManager_8h-source.html">OgreLogManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d36ac06b409a2d580217328ef2cd3a01"></a><!-- doxytag: member="Ogre::LogManager::ms_Singleton" ref="d36ac06b409a2d580217328ef2cd3a01" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSingleton_8h-source.html#l00061">61</a> of file <a class="el" href="OgreSingleton_8h-source.html">OgreSingleton.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSingleton_8h-source.html#l00076">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingleton()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00078">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingletonPtr()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00064">Ogre::Singleton&lt; Ogre::FontManager &gt;::Singleton()</a>, and <a class="el" href="OgreSingleton_8h-source.html#l00074">Ogre::Singleton&lt; Ogre::FontManager &gt;::~Singleton()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreLogManager_8h-source.html">OgreLogManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:18 2008
</p>
</body>
</html>
